Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.types
Interface XdmDocument

All Superinterfaces:
  XdmItem, XdmNode, XdmValue

    public interface XdmDocument

extends XdmNode

An XDM value which is a document(). This interface currently does not have any implementations, it is defined for future expansion.

Method Summary
`Document` | `asW3cDocument()` This is equivalent to `asW3cDocument (null)`.
`Document` | `asW3cDocument(DocumentBuilder docBuilder)` Returns a W3C Document equivalent of this document.

Methods inherited from interface com.marklogic.xcc.types.XdmNode
`asW3cNode, asW3cNode`

Methods inherited from interface com.marklogic.xcc.types.XdmItem
`asInputStream, asReader, getItemType, isCached, writeTo, writeTo`

Methods inherited from interface com.marklogic.xcc.types.XdmValue
`asString, getValueType`

Method Detail

### asW3cDocument

    Document asW3cDocument(DocumentBuilder docBuilder)

  Returns a W3C Document equivalent of this document. Buffers the document item from the server and converts it to a W3C DOM Document object. The document is buffered as a String object. Subsequent calls will create a new DOM tree from the same String. The buffered String may also be used by `XdmValue.asString()` and `XdmItem.asInputStream()`.

  If you are using JDOM and want to create a JDOM Document for this node, do the following: `doc = new org.jdom.input.SAXBuilder().build (new StringReader (node.asString()))`

  Parameters:
    `docBuilder` - The javax.xml.parsers.DocumentBuilder object to use to construct the Document. If null, the default implementation will be used. See the JDK documentation for the javax.xml.parsers.DocumentBuilderFactory class for details on configuring the system default builder.
  Returns:
    This item as a W3C element (org.w3c.dom.Element) instance.
  Throws:
    `IllegalStateException` - If called after the InputStream has already been consumed.
  See Also:
    `XdmItem.asInputStream()`, `XdmValue.asString()`, `XdmItem.isCached()`, `XdmNode.asW3cNode()`

### asW3cDocument

    Document asW3cDocument()

  This is equivalent to `asW3cDocument (null)`.

  Returns:
    This item as a W3C document (org.w3c.dom.Document) instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com